complexType "ResponseMessage"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 6 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, parentCorrelationId?, correlationId, sequenceNumber?, onBehalfOf?
</...>

Content Model Elements (6):

  correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, sequenceNumber (defined in Sequence.model group), validation

Known Direct Subtypes (12):

  Acknowledgement, AllocationApproved, AllocationRefused, ClearingEligibility, CollateralAllocationAccepted, ConfirmationAgreed, ConfirmationDisputed, ConfirmationStatus, ConsentGranted, ConsentRefused, EventRequestAcknowledgement, EventStatusResponse

All Direct / Indirect Based Elements (23):

  allocationAcknowledgement, allocationApproved, allocationRefused, clearingAcknowledgement, clearingEligibility, clearingEligibilityAcknowledgement, collateralAllocationAccepted, collateralAllocationAcknowledgement, confirmationAcknowledgement, confirmationAgreed, confirmationDisputed, confirmationStatus, consentAcknowledgement, consentGranted, consentRefused, creditEventAcknowledgement, eventStatusResponse, executionAcknowledgement, executionAdviceAcknowledgement, maturityAcknowledgement, tradeChangeAdviceAcknowledgement, tradeReferenceInformationUpdateAcknowledgement, verificationStatusAcknowledgement

Known Usage Locations

- In derivations of other global types (12):

  Acknowledgement (as extension base), AllocationApproved (as extension base), AllocationRefused (as extension base), ClearingEligibility (as extension base), CollateralAllocationAccepted (as extension base), ConfirmationAgreed (as extension base), | ConfirmationDisputed (as extension base), ConfirmationStatus (as extension base), ConsentGranted (as extension base), ConsentRefused (as extension base), EventRequestAcknowledgement (as extension base), EventStatusResponse (as extension base)

Annotation
A type refining the generic message content model to make it specific to response messages.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="ResponseMessage"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element name="header" type="ResponseMessageHeader"/> <xsd:group ref="Validation.model"/> <xsd:group ref="CorrelationAndOptionalSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
header

  Type: | ResponseMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element name="header" type="ResponseMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.